#
# spec file for package perl-Test-Requires
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Test-Requires
Version:        0.11
Release:        1.19
%define cpan_name Test-Requires
Summary:        Checks to see if the module can be loaded
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TOKUHIROM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Test::Requires checks to see if the module can be loaded.

If this fails rather than failing tests this *skips all tests*.

Test::Requires can also be used to require a minimum version of Perl:

    use Test::Requires "5.010";  # quoting is necessary!!
    
    # or
    use Test::Requires "v5.10";

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes minil.toml README.md
%license LICENSE

%changelog
* Thu May 14 2020 Tina Müller <timueller+perl@suse.de>
  updated to 0.11
  see /usr/share/doc/packages/perl-Test-Requires/Changes
  0.11 2020-05-14T00:34:23Z
  - Re-packaging
* Wed Jul 22 2015 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-Test-Requires/Changes
  0.10 2015-07-21T12:37:03Z
  - Support 5.6 again.
* Tue Jul 21 2015 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-Test-Requires/Changes
  0.09 2015-07-21T04:01:50Z
  - requires 5.8.1
* Fri Jul 18 2014 chris@computersalat.de
- update to 0.08
  * switch to EUMM
* Sat Jul 27 2013 coolo@suse.com
- updated to 0.07
  - If the C<< RELEASE_TESTING >> environment variable is true, then instead
    of skipping tests, Test::Requires bails out.
    (tobyink)
  - document that use Test::Requires "5.010" works.
    (tobyink)
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Nov 11 2010 chris@computersalat.de
- update to 0.06
  - support Perl 5.6.0 or later. Because Mouse need to support it.
    (gfx)
- noarch pkg
* Thu Aug 26 2010 pascal.bleser@opensuse.org
- initial package (0.05)
